SELECT	e.LastName,
		r.RegionDescription,
		SUM(od.Quantity * od.UnitPrice) AS Revenue

FROM	Employees AS e INNER JOIN EmployeeTerritories AS et ON e.EmployeeID = et.EmployeeID
		INNER JOIN Territories AS t ON et.TerritoryID = t.TerritoryID
		INNER JOIN Region AS r ON t.RegionID = r.RegionID
		INNER JOIN Orders AS o ON e.EmployeeID = o.EmployeeID
		INNER JOIN [Order Details] as od ON o.OrderID = od.OrderID

WHERE	r.RegionDescription IN ('Eastern', 'Western')

GROUP BY	e.LastName,
			r.RegionDescription

HAVING	SUM(od.Quantity * od.UnitPrice) > 1000000

ORDER BY Revenue DESC