CREATE PROC dbo.spGetCustomerNames
	@Country	nvarchar(24)
AS
	SELECT		CustomerID,
				CompanyName,
				ContactName
	FROM		Customers
	WHERE		Country = @Country
	ORDER BY	CompanyName
GO

CREATE PROC dbo.spInsertShippers
	@CompanyName	nvarchar(40),
	@Phone			nvarchar(24)
AS
	INSERT INTO Shippers(CompanyName, Phone)
	VALUES(@CompanyName, @Phone)
	RETURN @@IDENTITY
GO

CREATE PROC dbo.spGetLookupValues
AS
	-- Customers lookup table info.
	SELECT	CustomerID,
			CompanyName
	FROM	Customers

	-- Shippers lookup table info.
	SELECT	ShipperID,
			CompanyName
	FROM	Shippers
GO
